<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Frameset//EN">
<html>
        <head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title>InsertNewCustomer PHP Page</title>
		<style type="text/css">
			h1 {text-align: center; color: blue}
			h2 {font-family: Ariel, sans-serif; text-align: left; color: blue}
			p.footer {text-align: center}
			table.output {font-family: Ariel, sans-serif}
		</style>
	</head>
	<body>
	<?php
		// Get connection
		$DSN = "HSD";
    	$User = "HSD-User";
    	$Password = "HSD-User+password";
    
    	$Conn = odbc_connect($DSN, $User, $Password);	
	
		// Test connection
		if (!$Conn)
			{
				exit ("ODBC Connection Failed: " . $Conn);
			}
		// Create short variable names
		$EmailAddress = $_POST["EmailAddress"];
		$LastName = $_POST["LastName"];
		$FirstName = $_POST["FirstName"];
		$Phone = $_POST["Phone"];
		$StreetAddress = $_POST["StreetAddress"];
		$City = $_POST["City"];
		$State = $_POST["State"];
		$ZIP = $_POST["ZIP"];
		
		// Create SQL statement to INSERT new data
		$SQLINSERT = "INSERT INTO CUSTOMER ";
                $SQLINSERT .= "(LastName, FirstName, Phone, ";
                $SQLINSERT .= "EmailAddress, StreetAddress, ";
                $SQLINSERT .= "City, State, ZIP) ";
		$SQLINSERT .= "VALUES(";
		$SQLINSERT .= "'$LastName', '$FirstName', '$Phone', ";
		$SQLINSERT .= "'$EmailAddress', ";
                $SQLINSERT .= "'$StreetAddress', ";
		$SQLINSERT .= "'$City', '$State', '$ZIP')";
	
		// Execute SQL statement
		$Result = odbc_exec($Conn, $SQLINSERT);
	
		// Test existence of result
		echo "<h1>
				The Heather Sweeney Designs CUSTOMER Table
			</h1>
			<hr />";
		if ($Result){	
			echo "<h2>
				New Customer Added:
			</h2>
			<table>
				<tr>";
				echo "<td>EmailAddress:</td>";
				echo "<td>" . $EmailAddress . "</td>";
				echo "</tr>";
				echo "<tr>";
				echo "<td>LastName:</td>";
				echo "<td>" . $LastName . "</td>";
				echo "</tr>";
				echo "<tr>";
				echo "<td>FirstName:</td>";
				echo "<td>" . $FirstName . "</td>";
				echo "</tr>";
				echo "<td>Phone:</td>";
				echo "<td>" . $Phone . "</td>";
				echo "</tr>";
				echo "<td>StreetAddress:</td>";
				echo "<td>" . $StreetAddress . "</td>";
				echo "</tr>";
				echo "<tr>";
				echo "<td>City:</td>";
				echo "<td>" . $City . "</td>";
				echo "</tr>";
				echo "<tr>";
				echo "<td>State:</td>";
				echo "<td>" . $State . "</td>";
				echo "</tr>";
				echo "<td>ZIP:</td>";
				echo "<td>" . $ZIP . "</td>";
				echo "</tr>";
			echo "</table><br /><hr />";
			}
			else {
				exit ("SQL Statement Error: " . $SQL);
			}
			
		// Create SQL statement to read CUSTOMER table data
    	$SQL = "SELECT * FROM CUSTOMER";
 
    	// Execute SQL statement
    	$RecordSet = odbc_exec($Conn,$SQL);
    
    	// Test existence of recordset
    	if (!$RecordSet)
	    	{
	        	exit ("SQL Statement Error: " . $SQL);
	    	}
	?>
	    <!--  Page Headers -->
	    <h1>
	   		The Heather Sweeney Designs CUSTOMER Table
		</h1>
	    <hr />
	    <h2>
	        CUSTOMER
		</h2>
	<?php	  
		// Table headers
	    echo "<table class='output' border='1'>
	    		<tr>
	    			<th>EmailAddress</th>
	    			<th>LastName</th>
	    			<th>FirstName</th>
	    			<th>Phone</th>
	    			<th>StreetAddress</th>
	    			<th>City</th>
	    			<th>State</th>
	    			<th>ZIP</th>
	    		</tr>";
	    
	    // Table data
	    while($RecordSetRow = odbc_fetch_array($RecordSet))
	    	{
	    	echo "<tr>";
	    	echo "<td>" . $RecordSetRow['EmailAddress'] . "</td>";
	    	echo "<td>" . $RecordSetRow['LastName'] . "</td>";
	    	echo "<td>" . $RecordSetRow['FirstName'] . "</td>";
	    	echo "<td>" . $RecordSetRow['Phone'] . "</td>";
	    	echo "<td>" . $RecordSetRow['StreetAddress'] . "</td>";
	    	echo "<td>" . $RecordSetRow['City'] . "</td>";
	    	echo "<td>" . $RecordSetRow['State'] . "</td>";
	    	echo "<td>" . $RecordSetRow['ZIP'] . "</td>";
	    	echo "</tr>";
	    	}
	    echo "</table>";

	    // Close connection
		odbc_close($Conn);
	?>
		<br />
		<hr />
		<p class="footer">	
			<a href="../HSD/index.html">
				Return to Heather Sweeney Designs Home Page
			</a>
		</p>
		<hr />
	</body>
</html>
